en:
  faker:
    nation:
      # National flag emojis in bytes
      # Source for list: https://emojipedia.org/flags
      flag: [[240, 159, 135, 166, 240, 159, 135, 168], [240, 159, 135, 166, 240, 159, 135, 169], [240, 159, 135, 166, 240, 159, 135, 170], [240, 159, 135, 166, 240, 159, 135, 171], [240, 159, 135, 166, 240, 159, 135, 172], [240, 159, 135, 166, 240, 159, 135, 174], [240, 159, 135, 166, 240, 159, 135, 177], [240, 159, 135, 166, 240, 159, 135, 178], [240, 159, 135, 166, 240, 159, 135, 180], [240, 159, 135, 166, 240, 159, 135, 182], [240, 159, 135, 166, 240, 159, 135, 183], [240, 159, 135, 166, 240, 159, 135, 184], [240, 159, 135, 166, 240, 159, 135, 185], [240, 159, 135, 166, 240, 159, 135, 186], [240, 159, 135, 166, 240, 159, 135, 188], [240, 159, 135, 166, 240, 159, 135, 189], [240, 159, 135, 166, 240, 159, 135, 191], [240, 159, 135, 167, 240, 159, 135, 166], [240, 159, 135, 167, 240, 159, 135, 167], [240, 159, 135, 167, 240, 159, 135, 169], [240, 159, 135, 167, 240, 159, 135, 170], [240, 159, 135, 167, 240, 159, 135, 171], [240, 159, 135, 167, 240, 159, 135, 172], [240, 159, 135, 167, 240, 159, 135, 173], [240, 159, 135, 167, 240, 159, 135, 174], [240, 159, 135, 167, 240, 159, 135, 175], [240, 159, 135, 167, 240, 159, 135, 177], [240, 159, 135, 167, 240, 159, 135, 178], [240, 159, 135, 167, 240, 159, 135, 179], [240, 159, 135, 167, 240, 159, 135, 180], [240, 159, 135, 167, 240, 159, 135, 182], [240, 159, 135, 167, 240, 159, 135, 183], [240, 159, 135, 167, 240, 159, 135, 184], [240, 159, 135, 167, 240, 159, 135, 185], [240, 159, 135, 167, 240, 159, 135, 187], [240, 159, 135, 167, 240, 159, 135, 188], [240, 159, 135, 167, 240, 159, 135, 190], [240, 159, 135, 167, 240, 159, 135, 191], [240, 159, 135, 168, 240, 159, 135, 166], [240, 159, 135, 168, 240, 159, 135, 168], [240, 159, 135, 168, 240, 159, 135, 169], [240, 159, 135, 168, 240, 159, 135, 171], [240, 159, 135, 168, 240, 159, 135, 172], [240, 159, 135, 168, 240, 159, 135, 173], [240, 159, 135, 168, 240, 159, 135, 174], [240, 159, 135, 168, 240, 159, 135, 176], [240, 159, 135, 168, 240, 159, 135, 177], [240, 159, 135, 168, 240, 159, 135, 178], [240, 159, 135, 168, 240, 159, 135, 179], [240, 159, 135, 168, 240, 159, 135, 180], [240, 159, 135, 168, 240, 159, 135, 181], [240, 159, 135, 168, 240, 159, 135, 183], [240, 159, 135, 168, 240, 159, 135, 186], [240, 159, 135, 168, 240, 159, 135, 187], [240, 159, 135, 168, 240, 159, 135, 188], [240, 159, 135, 168, 240, 159, 135, 189], [240, 159, 135, 168, 240, 159, 135, 190], [240, 159, 135, 168, 240, 159, 135, 191], [240, 159, 135, 169, 240, 159, 135, 170], [240, 159, 135, 169, 240, 159, 135, 172], [240, 159, 135, 169, 240, 159, 135, 175], [240, 159, 135, 169, 240, 159, 135, 176], [240, 159, 135, 169, 240, 159, 135, 178], [240, 159, 135, 169, 240, 159, 135, 180], [240, 159, 135, 169, 240, 159, 135, 191], [240, 159, 135, 170, 240, 159, 135, 166], [240, 159, 135, 170, 240, 159, 135, 168], [240, 159, 135, 170, 240, 159, 135, 170], [240, 159, 135, 170, 240, 159, 135, 172], [240, 159, 135, 170, 240, 159, 135, 173], [240, 159, 135, 170, 240, 159, 135, 183], [240, 159, 135, 170, 240, 159, 135, 184], [240, 159, 135, 170, 240, 159, 135, 185], [240, 159, 135, 170, 240, 159, 135, 186], [240, 159, 135, 171, 240, 159, 135, 174], [240, 159, 135, 171, 240, 159, 135, 175], [240, 159, 135, 171, 240, 159, 135, 176], [240, 159, 135, 171, 240, 159, 135, 178], [240, 159, 135, 171, 240, 159, 135, 180], [240, 159, 135, 171, 240, 159, 135, 183], [240, 159, 135, 172, 240, 159, 135, 166], [240, 159, 135, 172, 240, 159, 135, 167], [240, 159, 135, 172, 240, 159, 135, 169], [240, 159, 135, 172, 240, 159, 135, 170], [240, 159, 135, 172, 240, 159, 135, 171], [240, 159, 135, 172, 240, 159, 135, 172], [240, 159, 135, 172, 240, 159, 135, 173], [240, 159, 135, 172, 240, 159, 135, 174], [240, 159, 135, 172, 240, 159, 135, 177], [240, 159, 135, 172, 240, 159, 135, 178], [240, 159, 135, 172, 240, 159, 135, 179], [240, 159, 135, 172, 240, 159, 135, 181], [240, 159, 135, 172, 240, 159, 135, 182], [240, 159, 135, 172, 240, 159, 135, 183], [240, 159, 135, 172, 240, 159, 135, 184], [240, 159, 135, 172, 240, 159, 135, 185], [240, 159, 135, 172, 240, 159, 135, 186], [240, 159, 135, 172, 240, 159, 135, 188], [240, 159, 135, 172, 240, 159, 135, 190], [240, 159, 135, 173, 240, 159, 135, 176], [240, 159, 135, 173, 240, 159, 135, 178], [240, 159, 135, 173, 240, 159, 135, 179], [240, 159, 135, 173, 240, 159, 135, 183], [240, 159, 135, 173, 240, 159, 135, 185], [240, 159, 135, 173, 240, 159, 135, 186], [240, 159, 135, 174, 240, 159, 135, 168], [240, 159, 135, 174, 240, 159, 135, 169], [240, 159, 135, 174, 240, 159, 135, 170], [240, 159, 135, 174, 240, 159, 135, 177], [240, 159, 135, 174, 240, 159, 135, 178], [240, 159, 135, 174, 240, 159, 135, 179], [240, 159, 135, 174, 240, 159, 135, 180], [240, 159, 135, 174, 240, 159, 135, 182], [240, 159, 135, 174, 240, 159, 135, 183], [240, 159, 135, 174, 240, 159, 135, 184], [240, 159, 135, 174, 240, 159, 135, 185], [240, 159, 135, 175, 240, 159, 135, 170], [240, 159, 135, 175, 240, 159, 135, 178], [240, 159, 135, 175, 240, 159, 135, 180], [240, 159, 135, 175, 240, 159, 135, 181], [240, 159, 135, 176, 240, 159, 135, 170], [240, 159, 135, 176, 240, 159, 135, 172], [240, 159, 135, 176, 240, 159, 135, 173], [240, 159, 135, 176, 240, 159, 135, 174], [240, 159, 135, 176, 240, 159, 135, 178], [240, 159, 135, 176, 240, 159, 135, 179], [240, 159, 135, 176, 240, 159, 135, 181], [240, 159, 135, 176, 240, 159, 135, 183], [240, 159, 135, 176, 240, 159, 135, 188], [240, 159, 135, 176, 240, 159, 135, 190], [240, 159, 135, 176, 240, 159, 135, 191], [240, 159, 135, 177, 240, 159, 135, 166], [240, 159, 135, 177, 240, 159, 135, 167], [240, 159, 135, 177, 240, 159, 135, 168], [240, 159, 135, 177, 240, 159, 135, 174], [240, 159, 135, 177, 240, 159, 135, 176], [240, 159, 135, 177, 240, 159, 135, 183], [240, 159, 135, 177, 240, 159, 135, 184], [240, 159, 135, 177, 240, 159, 135, 185], [240, 159, 135, 177, 240, 159, 135, 186], [240, 159, 135, 177, 240, 159, 135, 187], [240, 159, 135, 177, 240, 159, 135, 190], [240, 159, 135, 178, 240, 159, 135, 166], [240, 159, 135, 178, 240, 159, 135, 168], [240, 159, 135, 178, 240, 159, 135, 169], [240, 159, 135, 178, 240, 159, 135, 170], [240, 159, 135, 178, 240, 159, 135, 171], [240, 159, 135, 178, 240, 159, 135, 172], [240, 159, 135, 178, 240, 159, 135, 173], [240, 159, 135, 178, 240, 159, 135, 176], [240, 159, 135, 178, 240, 159, 135, 177], [240, 159, 135, 178, 240, 159, 135, 178], [240, 159, 135, 178, 240, 159, 135, 179], [240, 159, 135, 178, 240, 159, 135, 180], [240, 159, 135, 178, 240, 159, 135, 181], [240, 159, 135, 178, 240, 159, 135, 182], [240, 159, 135, 178, 240, 159, 135, 183], [240, 159, 135, 178, 240, 159, 135, 184], [240, 159, 135, 178, 240, 159, 135, 185], [240, 159, 135, 178, 240, 159, 135, 186], [240, 159, 135, 178, 240, 159, 135, 187], [240, 159, 135, 178, 240, 159, 135, 188], [240, 159, 135, 178, 240, 159, 135, 189], [240, 159, 135, 178, 240, 159, 135, 190], [240, 159, 135, 178, 240, 159, 135, 191], [240, 159, 135, 179, 240, 159, 135, 166], [240, 159, 135, 179, 240, 159, 135, 168], [240, 159, 135, 179, 240, 159, 135, 170], [240, 159, 135, 179, 240, 159, 135, 171], [240, 159, 135, 179, 240, 159, 135, 172], [240, 159, 135, 179, 240, 159, 135, 174], [240, 159, 135, 179, 240, 159, 135, 177], [240, 159, 135, 179, 240, 159, 135, 180], [240, 159, 135, 179, 240, 159, 135, 181], [240, 159, 135, 179, 240, 159, 135, 183], [240, 159, 135, 179, 240, 159, 135, 186], [240, 159, 135, 179, 240, 159, 135, 191], [240, 159, 135, 180, 240, 159, 135, 178], [240, 159, 135, 181, 240, 159, 135, 166], [240, 159, 135, 181, 240, 159, 135, 170], [240, 159, 135, 181, 240, 159, 135, 171], [240, 159, 135, 181, 240, 159, 135, 172], [240, 159, 135, 181, 240, 159, 135, 173], [240, 159, 135, 181, 240, 159, 135, 176], [240, 159, 135, 181, 240, 159, 135, 177], [240, 159, 135, 181, 240, 159, 135, 178], [240, 159, 135, 181, 240, 159, 135, 179], [240, 159, 135, 181, 240, 159, 135, 183], [240, 159, 135, 181, 240, 159, 135, 184], [240, 159, 135, 181, 240, 159, 135, 185], [240, 159, 135, 181, 240, 159, 135, 188], [240, 159, 135, 181, 240, 159, 135, 190], [240, 159, 135, 182, 240, 159, 135, 166], [240, 159, 135, 183, 240, 159, 135, 170], [240, 159, 135, 183, 240, 159, 135, 180], [240, 159, 135, 183, 240, 159, 135, 184], [240, 159, 135, 183, 240, 159, 135, 186], [240, 159, 135, 183, 240, 159, 135, 188], [240, 159, 135, 184, 240, 159, 135, 166], [240, 159, 135, 184, 240, 159, 135, 167], [240, 159, 135, 184, 240, 159, 135, 168], [240, 159, 135, 184, 240, 159, 135, 169], [240, 159, 135, 184, 240, 159, 135, 170], [240, 159, 135, 184, 240, 159, 135, 172], [240, 159, 135, 184, 240, 159, 135, 173], [240, 159, 135, 184, 240, 159, 135, 174], [240, 159, 135, 184, 240, 159, 135, 175], [240, 159, 135, 184, 240, 159, 135, 176], [240, 159, 135, 184, 240, 159, 135, 177], [240, 159, 135, 184, 240, 159, 135, 178], [240, 159, 135, 184, 240, 159, 135, 179], [240, 159, 135, 184, 240, 159, 135, 180], [240, 159, 135, 184, 240, 159, 135, 183], [240, 159, 135, 184, 240, 159, 135, 184], [240, 159, 135, 184, 240, 159, 135, 185], [240, 159, 135, 184, 240, 159, 135, 187], [240, 159, 135, 184, 240, 159, 135, 189], [240, 159, 135, 184, 240, 159, 135, 190], [240, 159, 135, 184, 240, 159, 135, 191], [240, 159, 135, 185, 240, 159, 135, 166], [240, 159, 135, 185, 240, 159, 135, 168], [240, 159, 135, 185, 240, 159, 135, 169], [240, 159, 135, 185, 240, 159, 135, 171], [240, 159, 135, 185, 240, 159, 135, 172], [240, 159, 135, 185, 240, 159, 135, 173], [240, 159, 135, 185, 240, 159, 135, 175], [240, 159, 135, 185, 240, 159, 135, 176], [240, 159, 135, 185, 240, 159, 135, 177], [240, 159, 135, 185, 240, 159, 135, 178], [240, 159, 135, 185, 240, 159, 135, 179], [240, 159, 135, 185, 240, 159, 135, 180], [240, 159, 135, 185, 240, 159, 135, 183], [240, 159, 135, 185, 240, 159, 135, 185], [240, 159, 135, 185, 240, 159, 135, 187], [240, 159, 135, 185, 240, 159, 135, 188], [240, 159, 135, 185, 240, 159, 135, 191], [240, 159, 135, 186, 240, 159, 135, 166], [240, 159, 135, 186, 240, 159, 135, 172], [240, 159, 135, 186, 240, 159, 135, 178], [240, 159, 135, 186, 240, 159, 135, 179], [240, 159, 135, 186, 240, 159, 135, 184], [240, 159, 135, 186, 240, 159, 135, 190], [240, 159, 135, 186, 240, 159, 135, 191], [240, 159, 135, 187, 240, 159, 135, 166], [240, 159, 135, 187, 240, 159, 135, 168], [240, 159, 135, 187, 240, 159, 135, 170], [240, 159, 135, 187, 240, 159, 135, 172], [240, 159, 135, 187, 240, 159, 135, 174], [240, 159, 135, 187, 240, 159, 135, 179], [240, 159, 135, 187, 240, 159, 135, 186], [240, 159, 135, 188, 240, 159, 135, 171], [240, 159, 135, 188, 240, 159, 135, 184], [240, 159, 135, 189, 240, 159, 135, 176], [240, 159, 135, 190, 240, 159, 135, 170], [240, 159, 135, 190, 240, 159, 135, 185], [240, 159, 135, 191, 240, 159, 135, 166], [240, 159, 135, 191, 240, 159, 135, 178], [240, 159, 135, 191, 240, 159, 135, 188], [240, 159, 143, 180, 243, 160, 129, 167, 243, 160, 129, 162, 243, 160, 129, 165, 243, 160, 129, 174, 243, 160, 129, 167, 243, 160, 129, 191], [240, 159, 143, 180, 243, 160, 129, 167, 243, 160, 129, 162, 243, 160, 129, 179, 243, 160, 129, 163, 243, 160, 129, 180, 243, 160, 129, 191], [240, 159, 143, 180, 243, 160, 129, 167, 243, 160, 129, 162, 243, 160, 129, 183, 243, 160, 129, 172, 243, 160, 129, 179, 243, 160, 129, 191]]
      # This list is taken from https://en.wikipedia.org/wiki/Lists_of_people_by_nationality
      nationality: [Afghans, Albanians, Algerians, Americans, Andorrans, Angolans, Argentines, Armenians, Aromanians, Arubans, Australians, Austrians, Bahamians, Bahrainis, Bangladeshis, Barbadians, Belarusians, Belgians, Belizeans, Bermudians, Boers, Bosniaks, Brazilians, Bretons, British, British Virgin Islanders, Bulgarians, Macedonian Bulgarians, Burkinabès, Burundians, Cambodians, Cameroonians, Canadians, Catalans, Cape, Verdeans, Chadians, Chileans, Chinese, Colombians, Comorians, Congolese, Croatians, Cubans, Turkish Cypriots, Czechs, Danes, Dominicans (Republic), Dominicans (Commonwealth), Dutch, East Timorese, Ecuadorians, Egyptians, Emiratis, English, Eritreans, Estonians, Ethiopians, Faroese, Finns, Finnish Swedish, Fijians, Filipinos, French citizens, Georgians, Germans, Baltic Germans, Ghanaians, Gibraltar, Greeks, Greek Macedonians, Grenadians, Guatemalans, Guianese (French), Guineans, Guinea-Bissau nationals, Guyanese, Haitians, Hondurans, Hong Kong, Hungarians, Icelanders, Indians, Indonesians, Iranians (Persians), Iraqis, Irish, Israelis, Italians, Ivoirians, Jamaicans, Japanese, Jordanians, Kazakhs, Kenyans, Koreans, Kosovo Albanians, Kurds, Kuwaitis, Lao, Latvians, Lebanese, Liberians, Libyans, Liechtensteiners, Lithuanians, Luxembourgers, Macedonians, Malagasy, Malaysians, Malawians, Maldivians, Malians, Maltese, Manx, Mauritians, Mexicans, Moldovans, Moroccans, Mongolians, Montenegrins, Namibians, Nepalese, New Zealanders, Nicaraguans, Nigeriens, Nigerians, Norwegians, Pakistanis, Palauans, Palestinians, Panamanians, Papua New Guineans, Paraguayans, Peruvians, Poles, Portuguese, Puerto Ricans, Quebecers, Réunionnais, Romanians, Russians, Baltic Russians,Rwandans,Salvadorans, São Tomé and Príncipe,    Saudis,    Scots,    Senegalese,    Serbs,    Sierra Leoneans,    Singaporeans,    Sindhian,    Slovaks,    Slovenes,    Somalis,    South Africans,    Spaniards, Sri Lankans,St Lucians,Sudanese,Surinamese,Swedes,Swiss,Syrians,Taiwanese,Tanzanians,Thais,Tibetans,Tobagonians,Trinidadians,Tunisians,Turks,Tuvaluans,Ugandans,Ukrainians,Uruguayans,Uzbeks,Vanuatuans,Venezuelans,Vietnamese,Welsh,Yemenis,Zambians,Zimbabweans]
      language: [Nepali, Hindi, English, Arabic, Portuguese, Russian, Japanese, German, Javanese, Telugu, Korean, French, Marathi, Italian, Thai, Hakka, Tagalog, Romanian, Dutch, Kazakh, Zulu, Swedish]
      # This list is taken from https://www.thoughtco.com/capitals-of-every-independent-country-1434452
      capital_city: [Kabul, Tirana, Algiers, Andorra la Vella, Luanda, Saint John's, Buenos Aires, Yerevan, Canberra, Vienna, Baku, Nassau, Manama, Dhaka, Bridgetown, Minsk, Brussels, Belmopan, Porto-Novo,Thimphu, Sarajevo, Gaborone, Brasilia, Bandar Seri Begawan, Sofia, Ouagadougou, Bujumbura, Phnom Penh, Yaounde, Ottawa, Praia Bangui, N'Djamena, Santiago, Beijing, Bogota, Moroni, Brazzaville, Kinshasa, San Jose, Zagreb, Havana, Nicosia, Prague, Copenhagen, Djibouti, Roseau, Santo Domingo, Dili, Quito, Cairo, San Salvador, Malabo, Asmara, Tallinn, Addis Ababa, Suva, Helsinki, Paris, Libreville, Banjul, Tbilisi, Berlin, Accra, Athens, Saint George's, Guatemala City, Conakry, Bissau, Georgetown, Prince, Tegucigalpa, Budapest, Reykjavik, New Delhi, Jakarta, Tehran, Baghdad, Dublin, Jerusalem, Rome, Kingston, Tokyo, Amman, Astana, Nairobi, Tarawa Atoll, Pyongyang, Seoul, Pristina, Kuwait City, Bishkek, Vientiane, Riga, Beirut, Maseru, Monrovia, Tripoli, Vaduz, Vilnius, Luxembourg, Skopje, Antananarivo, Lilongwe, Kuala Lumpur, Male, Bamako, Valletta, Majuro, Nouakchott, Port Louis, Mexico City, Palikir, Chisinau, Monaco, Ulaanbaatar, Podgorica, Rabat, Maputo, Windhoek, Kathmandu, Wellington, Managua, Niamey, Abuja, Oslo, Muscat, Islamabad, Melekeok, Panama City, Port Moresby, Asuncion, Lima, Manila, Warsaw, Lisbon, Doha, Bucharest, Moscow, Kigali, Basseterre, Castries, Kingstown, Apia, San Marino, Sao Tome, Riyadh, Dakar, Belgrade, Victoria, Freetown, Singapore, Bratislava, Ljubljana, Honiara, Mogadishu, Juba, Madrid, Colombo, Khartoum, Paramaribo, Mbabane, Stockholm, Bern, Damascus, Taipei, Dushanbe, Dar es Salaam, Bangkok, Lome, Nuku'alofa, Port-of-Spain, Tunis, Ankara, Ashgabat, Vaiaku village, Kampala, Kyiv, Abu Dhabi, London, Washington D.C., Montevideo, Tashkent, Port-Vila, Vatican City, Caracas, Hanoi, Sanaa, Lusaka, Harare]
